Package org.jbpm.process.core.event

## Class EventTypeFilter

- java.lang.Object
- - org.jbpm.process.core.event.EventTypeFilter

- All Implemented Interfaces:
    `Serializable`, `EventFilter`
  Direct Known Subclasses:
    `BroadcastEventTypeFilter`, `NonAcceptingEventTypeFilter`

      public class EventTypeFilter
      extends Object
      implements EventFilter, Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventTypeFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `acceptsEvent​(String type, Object event)` |
    `boolean` | `acceptsEvent​(String type, Object event, Function<String,​Object> resolver)` |
    `String` | `getType()` |
    `boolean` | `isAccepted​(String type, Function<String,​Object> resolver)` |
    `boolean` | `isCorrelated()` |
    `void` | `setCorrelationManager​(CorrelationManager correlationManager)` |
    `void` | `setMessageRef​(String messageRef)` |
    `void` | `setType​(String type)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected String type

  - ### Constructor Detail

    - #### EventTypeFilter

          public EventTypeFilter()

  - ### Method Detail

    - #### isCorrelated

          public boolean isCorrelated()

      Specified by:
        `isCorrelated` in interface `EventFilter`

    - #### setCorrelationManager

          public void setCorrelationManager​(CorrelationManager correlationManager)

    - #### getType

          public String getType()

    - #### setType

          public void setType​(String type)

    - #### acceptsEvent

          public boolean acceptsEvent​(String type,
                                      Object event)

      Specified by:
        `acceptsEvent` in interface `EventFilter`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### acceptsEvent

          public boolean acceptsEvent​(String type,
                                      Object event,
                                      Function<String,​Object> resolver)

      Specified by:
        `acceptsEvent` in interface `EventFilter`

    - #### isAccepted

          public boolean isAccepted​(String type,
                                    Function<String,​Object> resolver)

    - #### setMessageRef

          public void setMessageRef​(String messageRef)